* {
    box-sizing: border-box;
}

body {
    background-color: #6F4E37;
    margin: 0;
    padding: 0;
    color: aliceblue;


}




/*----------------------- Početak  Pozadinska slika------------------------------------*/

.početna-slika {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: -1;
}

.početna-slika img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/*-----------------------Kraj rezervacija-----------------------------------------*/

.pocetna-tekst {

    background-color: #DBA979;
    text-align: center;
    font-size: 21px;
    margin: 120px;
    word-spacing: 10px;
    line-height: 1.6;
    padding: 70px;
    border-radius: 15px;
    margin-top: 120px;
    

}

/*----------------------- Početak  headera------------------------------------*/

.naslov {
    align-items: flex-start;
    justify-content: space-between;
}

/*----------------------- Početak  Pozadinska slika------------------------------------*/
.navbar h1 {
    align-items: left;
    display: flex;
    text-align: left;
}

.navbar {
    overflow: hidden;
    background-color: #DBA979;
    align-items: center;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;

}

.navbar a {
    float: left;
    font-size: 18px;
    color: white;
    padding: 25px 27px;
    text-decoration: none;
    text-align: center;
    
    
}



.navbar a:hover {
    background-color: #6F4E37;
    border-radius: 50005px;
    color: #DBA979;
}

.img img{
    flex-basis: 400px;
    display: flex;
    flex-grow: 1;
    justify-content: center;
}
.slikaReg{
    background-image: url(img/naslovna.jpg);
    background-color: #DBA979;
    text-align: center;
    font-size: 21px;
    margin: 120px;
    word-spacing: 10px;
    line-height: 1.6;
    padding: 70px;
    border-radius: 15px;
    margin-top: 120px;
    background-repeat: no-repeat;
    background-size: cover;
    flex-wrap: wrap;
}










/*-----------------------Kraj navigacije-----------------------------------------*/
.pocetna-naslov {
    text-align: center;
    align-items: center;
    padding-top: 100px;
    font-size: 22px;
    font-family: Georgia, 'Times New Roman', Times, serif;
    color: white;
}

/*-----------------------Kraj headera-----------------------------------------*/
/*-----------------------Početakfootera-----------------------------------------*/
footer {
    background-color: #DBA979;
    position: sticky;
    
}

footer p {
    text-align: center;
}

.mreze img {
    width: 60px;

}

.mreze {
    display: flex;
    text-align: center;
    justify-content: center;

}

/*-----------------------Kraj footera-----------------------------------------*/
/*-----------------------Početak rezervacija-----------------------------------------*/

.rez {

    width: 400px;
    padding: 20px;
    background-color: #ffe8da3b;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}




.registracija {

    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 100px;
    height: 400px;
}

form {
    margin-top: 20px;
}

label {

    display: block;
    margin-bottom: 10px;
    font-weight: bold;

}




input[type="text"],

input[type="email"],

input[type="password"],

input[type="time"] {

    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 16px;

}




input[type="submit"]:hover {

    background-color: rgba(255, 140, 0, 0.664);

}




input[type="submit"] {

    width: 60%;
    padding: 10px;
    margin-bottom: 20px;

    border: 2px solid #ccc;

    border-radius: 4px;
    font-size: 16px;
    margin-left: 35px;
    background-color: #eeeeee;
}

/*-----------------------Kraj rezervacija-----------------------------------------*/
.menu-container {
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    
}

.menu-items {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
}

.menu-item {
    border-radius: 4px;
    box-shadow: 0 0 16px rgba(0, 0, 0, 0.75);
    margin: 10px;
    width: 300px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    background-color: #DBA979;
    
}

.menu-item img {
    width: 100%;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    height: 230px;
}



.item-name{
    text-align: center;
    font-size: 25px;
}

.item-price{
    text-align: center;
    font-size: 20px;
}





/*---------------------------------------------------------------------------------------------------------*/

.lokacija{
    display: flex;
    flex-wrap: wrap;
    margin: 0 auto;
    justify-content: space-between;
    align-items: center;
    width: 1000px;
    padding: 15px;
    
}

.gps iframe{
    height: 300px;
    width: 420px;
    border-radius: 10px;
    
}

.vrijeme{
    border: 1px solid #DBA979;
    background-color: #DBA979;
    height: 300px;
    width: 420px;
    border-radius: 10px;
    color: white;
    
}


.vrijeme h3{
    text-align: center;
  justify-content: center;
  align-items: center;
  margin-top: 70px;
  font-size: 32px;
  font-family: "Lobster", sans-serif;
}

ol {
    list-style-type: none;
    text-align: center;
    margin-right: 33px;
  }
  .vrijeme ol li{
    text-align: center;
    justify-content: center;
    align-items: center;
    font-size: 20px;
  }


  /*-------------------------------------REGISTRACIJA-------------------------------------*/

  button{
    width: 100%;
    padding: .8em 0 10px .8em;
    background-color: #AF8F6F;
    border: none;
    color: #fff;
    cursor: pointer;
    text-transform: uppercase; 
    border-radius: 5px;
    padding-right: 10px;
    margin-top: 30px;
  }






  /*----------------------------------------GALERIJA-------------------------------*/

  .slideshow-container {
    position: relative;
    overflow: hidden;
    max-width: 500px;
    height: 500px;
    margin: 0 auto;
    
   
  }
 
  .slides {
    display: flex;
    
  }
 
  .slides img {
    max-width: 100px;
    height: 400px;
    min-width: 100%;
    object-fit: cover;
    margin-right: 100px;
  }
 
  *{
    margin: 0;
    padding: 0;
}
.rate {
    float: left;
    height: 46px;
    padding: 0 10px;
    display: flex;
    margin-left: 685px;

}
.rate:not(:checked) > input {
    position:absolute;
    top:-9999px;
}
.rate:not(:checked) > label {
    float:right;
    width:1em;
    overflow:hidden;
    white-space:nowrap;
    cursor:pointer;
    font-size:30px;
    color:#ccc;
}
.rate:not(:checked) > label:before {
    content: '★ ';
}
.rate > input:checked ~ label {
    color: #ffc700;    
}
.rate:not(:checked) > label:hover,
.rate:not(:checked) > label:hover ~ label {
    color: #deb217;  
}
.rate > input:checked + label:hover,
.rate > input:checked + label:hover ~ label,
.rate > input:checked ~ label:hover,
.rate > input:checked ~ label:hover ~ label,
.rate > label:hover ~ input:checked ~ label {
    color: #c59b08;
}



.rez{
    flex-wrap: wrap;

}

.loc{
    display: flex;
}